[Haskell-cafe] can't build haxml under ghc 6.7, says HughesPJ is hidden... but ghc-pkg doesn't say it's hidden...

Malcolm Wallace Malcolm.Wallace at cs.york.ac.uk
Fri Aug 10 08:31:27 EDT 2007

Stefan O'Rear <stefanor at cox.net> wrote:

> When you build a package, Cabal passess the -hide-all-packages option
> to GHC, which prevents the package from using any installed packages
> other than the ones explicitly listed in the Build-Depends: field.
> For now, we just edit .cabal files when transporting code between GHC
> versions...

Just for information, the HaXml darcs repo has recently adopted the
solution of containing two .cabal files, one for ghc-6.6.x, and the
other for the split-base packages (>=ghc-6.7).  The only difference is
the build-depends line, which is now as follows:

    build-depends: base, haskell98, polyparse, pretty, fps

But if you have collected the earlier release HaXml-1.13.2 from hackage,
then you can omit both 'polyparse' and 'fps' dependencies.  ('fps' will
shortly be changing to 'bytestring' in any case...)


More information about the Haskell-Cafe mailing list